io.swagger.client.model

## Class Connection

- java.lang.Object
- - io.swagger.client.model.Connection

-     public class Connection
      extends Object

  Connection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Connection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connection` | `connectionID(Integer connectionID)`
    `Connection` | `endpointURL(String endpointURL)`
    `boolean` | `equals(Object o)`
    `Connection` | `fundingAccount(String fundingAccount)`
    `Integer` | `getConnectionID()` Get connectionID
    `String` | `getEndpointURL()` Get endpointURL
    `String` | `getFundingAccount()` Get fundingAccount
    `Integer` | `getLedgerID()` Get ledgerID
    `int` | `hashCode()`
    `Connection` | `ledgerID(Integer ledgerID)`
    `void` | `setConnectionID(Integer connectionID)`
    `void` | `setEndpointURL(String endpointURL)`
    `void` | `setFundingAccount(String fundingAccount)`
    `void` | `setLedgerID(Integer ledgerID)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Connection

          public Connection()

  - ### Method Detail

    - #### connectionID

          public Connection connectionID(Integer connectionID)

    - #### getConnectionID

          public Integer getConnectionID()

      Get connectionID
      Returns:
        connectionID

    - #### setConnectionID

          public void setConnectionID(Integer connectionID)

    - #### ledgerID

          public Connection ledgerID(Integer ledgerID)

    - #### getLedgerID

          public Integer getLedgerID()

      Get ledgerID
      Returns:
        ledgerID

    - #### setLedgerID

          public void setLedgerID(Integer ledgerID)

    - #### endpointURL

          public Connection endpointURL(String endpointURL)

    - #### getEndpointURL

          public String getEndpointURL()

      Get endpointURL
      Returns:
        endpointURL

    - #### setEndpointURL

          public void setEndpointURL(String endpointURL)

    - #### fundingAccount

          public Connection fundingAccount(String fundingAccount)

    - #### getFundingAccount

          public String getFundingAccount()

      Get fundingAccount
      Returns:
        fundingAccount

    - #### setFundingAccount

          public void setFundingAccount(String fundingAccount)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.